Mail archive
alpine-aports

[alpine-aports] [PATCH 3/4] testing/py-click5: new aport

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Thu, 3 Nov 2016 19:39:09 +0100

---
 testing/py-click5/APKBUILD | 49 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/py-click5/APKBUILD
diff --git a/testing/py-click5/APKBUILD b/testing/py-click5/APKBUILD
new file mode 100644
index 0000000..cdbe756
--- /dev/null
+++ b/testing/py-click5/APKBUILD
_at_@ -0,0 +1,49 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Contributor: Fabian Affolter <fabian_at_affolter-engineering.ch>
+# Maintainer:
+pkgname=py-click5
+_pkgname=click
+pkgver=5.1
+pkgrel=0
+pkgdesc="A simple wrapper around optparse for powerful command line utilities"
+url="http://click.pocoo.org/"
+arch="all"
+license="BSD"
+depends="!py-click !py2-click !py3-click"
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${pkgname#py-}:_py2 py3-${pkgname#py-}:_py3"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	python2 setup.py build || return 1
+	python3 setup.py build || return 1
+}
+
+package() {
+	mkdir -p "$pkgdir"
+}
+
+_py2() {
+	replaces="$pkgname"
+	_py python2
+}
+
+_py3() {
+	_py python3
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+md5sums="9c5323008cccfe232a8b161fc8196d41  click-5.1.tar.gz"
+sha256sums="678c98275431fad324275dec63791e4a17558b40e5a110e20a82866139a85a5a  click-5.1.tar.gz"
+sha512sums="b860b0227644f5d1cc24d41e66985421ec971f11f3f596fb46508fdc787200b949e7ef29b2035421ebb0115384688da03c3c95a0d6acc58dd3b566b32a2b7c6a  click-5.1.tar.gz"
-- 
2.10.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Nov 03 2016 - 19:39:09 GMT